Subject: [edu-team] IANA Considerations

From: Russ Housley <[email-masked]>
Date: Wed, 25 Apr 2012 07:37:07 -0400

It has been a long time since the IANA Considerations tutorial has been given.  May Atlanta would be a good time to do it again.  The number of poorly thought out IANA considerations sections is on the rise.

Russ

---

From: Radia Perlman <[email-masked]>
Date: Wed, 25 Apr 2012 13:11:06 -0700

Is this really a 2 hour topic?  Might it be enhanced with other
content in order to make it 2 hours?

Radia

On Wed, Apr 25, 2012 at 4:37 AM, Russ Housley <[email-masked]> wrote:
> _______________________________________________
> edu-team mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/edu-team

---

From: Alice Russo <[email-masked]>
Date: Wed, 25 Apr 2012 16:26:53 -0400

Typically, Michelle presents slides about IANA Considerations during the Document Lifecycle tutorial (http://www.rfc-editor.org/rfc-editor/lifecycle82.pdf) and "RFC Editor" tutorial (http://www.rfc-editor.org/rfc-editor/tutorial76.pdf).

Thanks,
Alice

---

From: Thomas Narten <[email-masked]>
Date: Wed, 25 Apr 2012 16:55:26 -0400

Is Sunday afternoon the best place for IANA considerations? That may
be a fine topic for the WG lunch as well, because many chairs may not
realize they need the training...

Thomas

---

From: Margaret Wasserman <[email-masked]>
Date: Wed, 25 Apr 2012 17:35:51 -0400

> realize they need the training...

Maybe both?

How to write a good IANA Considerations section is something every document author needs to know, so that points to a Sunday class.  However, the WG Chairs won't all go to the Sunday class, and do need to be able to assess if the IANA Considerations section is clear enough, as part of shepherding a document.  I think it might be a different or shorter class for WG chairs, since I'd expect they all already know something about IANA, but I think both groups could benefit.

Margaret

---

From: Margaret Wasserman <[email-masked]>
Date: Wed, 25 Apr 2012 17:42:13 -0400

> Typically, Michelle presents slides about IANA Considerations during the Document Lifecycle tutorial (http://www.rfc-editor.org/rfc-editor/lifecycle82.pdf) and "RFC Editor" tutorial (http://www.rfc…

Michelle just does a few slides, though.

Thomas' class went through what information you need to provide to set up a registry, what all of the options are for allocation policies and what they mean, what to think about when you are defining the allocation policy for a registry, and how to decide which one is best, etc.  

Margaret

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 26 Apr 2012 08:12:46 +0100

On 2012-04-25 22:35, Margaret Wasserman wrote:
> How to write a good IANA Considerations section is something every document author needs to know, so that points to a Sunday class.  

I agree. And while it might not take 2 hours, I can well imagine
it taking at least one hour including questions. Maybe a riff
on extensibility considerations (RFC 4775, draft-iab-extension-recs)
would round it out.

> However, the WG Chairs won't all go to the Sunday class, and do need to be able to assess if the IANA Considerations section is clear enough, as part of shepherding a document.  I think it might be a different or shorter class for WG chairs, since I'd expect they all already know something about IANA, but I think both groups could benefit.

Agreed
   Brian

---

From: Mirjam Kuehne <[email-masked]>
Date: Thu, 26 Apr 2012 11:42:40 +0200

Hi,

Are you referring to Thomas' tutorial 'Bringing New Work into the IETF'?
I don't think we had a stand alone IANA Considerations tutorial.

Last time, 'New Work' was given was at IETF 81 in Quebec. So, shall we 
schedule this for Atlanta? Thomas, would you be willing to do this 
again? And in addition to that schedule the topic for the WG chairs 
lunch? Who would like to run this?

Mirjam

---

From: Radia Perlman <[email-masked]>
Date: Thu, 26 Apr 2012 06:11:19 -0700

Trying to brainstorm about how "IANA considerations" could fit into a
2 hour tutorial...

How about "ingredients of an internet draft", explaining the
boilerplate, perhaps the history of how that came to be there,
security considerations and why it's there, IANA considerations, how
to format it (with a plug for the more detailed tools tutorial), why
it's in ASCII, the story of why when you print it in most ways the
pages come out misaligned and how to print it so that it works...  it
seems like there could be lots of useful information and folklore
about some of this stuff would be interesting.

Radia

---

From: Alice Russo <[email-masked]>
Date: Thu, 26 Apr 2012 11:49:42 -0400

Hi Radia,

That content would be very similar to the Document Lifecycle tutorial and "RFC Editor" tutorial.

Along the lines of what Brian wrote - a new tutorial could be rounded out with other section(s). There could be a required sections and/or "when needed" sections tutorial, e.g.,
- Security Considerations (RFC 3552)
- IANA Considerations (RFC 5226)
- Internationalization Considerations (RFC 2277, Sec. 6)
- Extensibility Considerations (RFC 4775)

IANA Cons. is the only section that is covered with any depth in the tutorials mentioned above.

Thanks,
Alice

---

From: Radia Perlman <[email-masked]>
Date: Thu, 26 Apr 2012 10:19:45 -0700

If it's so similar to the other tutorials, could all of these be
combined into one?

Radia